MyGUI: MyGUI::types::TPoint< T > Struct Template Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Data Fields | Friends
MyGUI::types::TPoint< T > Struct Template Reference

`#include <MyGUI_TPoint.h>`

Inheritance diagram for MyGUI::types::TPoint< T >:
[legend]

## Public Member Functions
| TPoint ()
| TPoint (T const &_left, T const &_top)
| TPoint (TPoint const &_obj)
TPoint & | operator-= (TPoint const &_obj)
TPoint & | operator+= (TPoint const &_obj)
TPoint | operator- (TPoint const &_obj) const
TPoint | operator+ (TPoint const &_obj) const
TPoint & | operator= (TPoint const &_obj)
template<typename U >
TPoint & | operator= (TPoint< U > const &_obj)
bool | operator== (TPoint const &_obj) const
bool | operator!= (TPoint const &_obj) const
void | clear ()
void | set (T const &_left, T const &_top)
void | swap (TPoint &_value)
bool | empty () const
std::string | print () const

## Static Public Member Functions
static TPoint< T > | parse (const std::string &_value)

## Data Fields
T | left
T | top

## Friends
std::ostream & | operator<< (std::ostream &_stream, const TPoint< T > &_value)
std::istream & | operator>> (std::istream &_stream, TPoint< T > &_value)

## Detailed Description

template<typename T>
struct MyGUI::types::TPoint< T >

Definition at line 18 of file MyGUI_TPoint.h.

## Constructor & Destructor Documentation

## ◆ TPoint() [1/3]

template<typename T >

MyGUI::types::TPoint< T >::TPoint | ( |  | ) |
| inline

Definition at line 23 of file MyGUI_TPoint.h.

## ◆ TPoint() [2/3]

template<typename T >

MyGUI::types::TPoint< T >::TPoint | ( | T const & | _left,
|  | T const & | _top )
| inline

Definition at line 29 of file MyGUI_TPoint.h.

## ◆ TPoint() [3/3]

template<typename T >

MyGUI::types::TPoint< T >::TPoint | ( | TPoint< T > const & | _obj | ) |
| inline

Definition at line 35 of file MyGUI_TPoint.h.

## Member Function Documentation

## ◆ clear()

template<typename T >

void MyGUI::types::TPoint< T >::clear | ( |  | ) |
| inline

Definition at line 90 of file MyGUI_TPoint.h.

## ◆ empty()

template<typename T >

bool MyGUI::types::TPoint< T >::empty | ( |  | ) | const
| inline

Definition at line 108 of file MyGUI_TPoint.h.

## ◆ operator!=()

template<typename T >

bool MyGUI::types::TPoint< T >::operator!= | ( | TPoint< T > const & | _obj | ) | const
| inline

Definition at line 85 of file MyGUI_TPoint.h.

## ◆ operator+()

template<typename T >

TPoint MyGUI::types::TPoint< T >::operator+ | ( | TPoint< T > const & | _obj | ) | const
| inline

Definition at line 60 of file MyGUI_TPoint.h.

## ◆ operator+=()

template<typename T >

TPoint & MyGUI::types::TPoint< T >::operator+= | ( | TPoint< T > const & | _obj | ) |
| inline

Definition at line 48 of file MyGUI_TPoint.h.

## ◆ operator-()

template<typename T >

TPoint MyGUI::types::TPoint< T >::operator- | ( | TPoint< T > const & | _obj | ) | const
| inline

Definition at line 55 of file MyGUI_TPoint.h.

## ◆ operator-=()

template<typename T >

TPoint & MyGUI::types::TPoint< T >::operator-= | ( | TPoint< T > const & | _obj | ) |
| inline

Definition at line 41 of file MyGUI_TPoint.h.

## ◆ operator=() [1/2]

template<typename T >

TPoint & MyGUI::types::TPoint< T >::operator= | ( | TPoint< T > const & | _obj | ) |
| inline

Definition at line 65 of file MyGUI_TPoint.h.

## ◆ operator=() [2/2]

template<typename T >
template<typename U >

TPoint & MyGUI::types::TPoint< T >::operator= | ( | TPoint< U > const & | _obj | ) |
| inline

Definition at line 73 of file MyGUI_TPoint.h.

## ◆ operator==()

template<typename T >

bool MyGUI::types::TPoint< T >::operator== | ( | TPoint< T > const & | _obj | ) | const
| inline

Definition at line 80 of file MyGUI_TPoint.h.

## ◆ parse()

template<typename T >

static TPoint< T > MyGUI::types::TPoint< T >::parse | ( | const std::string & | _value | ) |
| inlinestatic

Definition at line 120 of file MyGUI_TPoint.h.

## ◆ print()

template<typename T >

std::string MyGUI::types::TPoint< T >::print | ( |  | ) | const
| inline

Definition at line 113 of file MyGUI_TPoint.h.

## ◆ set()

template<typename T >

void MyGUI::types::TPoint< T >::set | ( | T const & | _left,
|  | T const & | _top )
| inline

Definition at line 95 of file MyGUI_TPoint.h.

## ◆ swap()

template<typename T >

void MyGUI::types::TPoint< T >::swap | ( | TPoint< T > & | _value | ) |
| inline

Definition at line 101 of file MyGUI_TPoint.h.

## Friends And Related Symbol Documentation

## ◆ operator<<

template<typename T >

std::ostream & operator<< | ( | std::ostream & | _stream,
|  | const TPoint< T > & | _value )
| friend

Definition at line 142 of file MyGUI_TPoint.h.

## ◆ operator>>

template<typename T >

std::istream & operator>> | ( | std::istream & | _stream,
|  | TPoint< T > & | _value )
| friend

Definition at line 148 of file MyGUI_TPoint.h.

## Field Documentation

## ◆ left

template<typename T >

T MyGUI::types::TPoint< T >::left

Definition at line 20 of file MyGUI_TPoint.h.

## ◆ top

template<typename T >

T MyGUI::types::TPoint< T >::top

Definition at line 21 of file MyGUI_TPoint.h.

The documentation for this struct was generated from the following file:

- MyGUI_TPoint.h